import { SpreadsheetEditModeExitedEventArgs as SpreadsheetEditModeExitedEventArgs_internal } from "./SpreadsheetEditModeExitedEventArgs";
import { ContentChildrenManager } from "igniteui-react-core";
import { SpreadsheetCell } from "./SpreadsheetCell";
/**
 * Event arguments for the
 * editModeExited event.
*/
export declare class IgrSpreadsheetEditModeExitedEventArgs {
    protected _implementation: any;
    protected mounted: boolean;
    /**
     * @hidden
     */
    get i(): SpreadsheetEditModeExitedEventArgs_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Returns the cell for which the control has exitied edit mode.
    */
    get cell(): SpreadsheetCell;
}
